# BankTransfer

## Submit a payout by Bank Transfer in Argentina.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Bank Transfer in Argentina.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                     |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>             | String | Fixed value: BANKTRANSFER                                                                                                       |
| custom\_code<mark style="color:red;">\*</mark>       | String | <p>Merchant Payout ID</p><p>- Max. 50 chars -</p>                                                                               |
| source\_currency<mark style="color:red;">\*</mark>   | String | <p>Merchant Account Currency</p><p>- One of: USD, EUR, GBP, ARS -</p>                                                           |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | Fixed value: ARS                                                                                                                |
| amount<mark style="color:red;">\*</mark>             | number | <p>Payout Amount, 2 decimal numbers</p><p>- Min 600, Max 2,500,000 -</p>                                                        |
| amount\_type                                         | String | <p>Specify the amount value is fixed for merchant or beneficiary</p><p>- One of: source\_amount, arrival\_amount(default) -</p> |
| fee\_bear<mark style="color:red;">\*</mark>          | String | <p>All fees charge to merchant or beneficiary</p><p>- One of: merchant, beneficiary -</p>                                       |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where pagsmile will send notifications to.                                                                                      |
| bank\_code<mark style="color:red;">\*</mark>         | String | Bank Code in Argentina, see [***bank list***](/payout/banklist/bank-in-argentina.md)***.***                                     |
| account\_type<mark style="color:red;">\*</mark>      | String | <p>Beneficiary's Account Type</p><p>- One of: SAVINGS, CHECKING -</p>                                                           |
| account<mark style="color:red;">\*</mark>            | String | <p>Beneficiary's Bank Account</p><p>- 6\~20 characters or 22 digits - </p>                                                      |
| name<mark style="color:red;">\*</mark>               | String | <p>Beneficiary's name<br>- Length must between 5 and 100 -</p>                                                                  |
| phone<mark style="color:red;">\*</mark>              | String | <p>Beneficiary's phone </p><p>- Max 15, valid phone - </p>                                                                      |
| email<mark style="color:red;">\*</mark>              | String | <p>Beneficiary's email<br>- Max 64, valid email -</p>                                                                           |
| document\_type<mark style="color:red;">\*</mark>     | String | <p>Beneficiary's identification type.</p><p>- CUIT or DNI -</p>                                                                 |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary's identification number.                                                                                            |
| additional\_remark<mark style="color:red;">\*</mark> | String | <p>The descriptor on the user's bank bill</p><p>- Max. 40 chars -</p>                                                           |
| country<mark style="color:red;">\*</mark>            | String | Fix value: ARG, for Argentina                                                                                                   |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```javascript
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "0.51",
        "arrival_currency": "ARS",
        "source_amount": "0.07",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```javascript
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
    * "phone": "12******9",
    * "email": "payout@pagsmile.com",
    * "bank_code": "015",
    * "account_type": "CHECKING", // should be one of SAVINGS, CHECKING
    * "account": "015****************475",
    * "document_id": "27*******00",
    * "document_type": "CUIT",  //
    * "source_currency": "ARS", 
    * "arrival_currency": "ARS", // fixed value: ARS
    * "fee_bear": "merchant", // should be one of merchant, beneficiary
    * "method": "BANKTRANSFER", // fixed value: BANKTRANSFER
    * "amount": 1000,
    * "notify_url": "https://notify.url",
    * "custom_code" : "custom_code9982674851738108",
    * "additional_remark": "pagsmile payout test remark",
    * "country": "ARG"  // fixed value: ARG
}
'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is the authorization token associated with the test App ID.
{% endhint %}

## Example of Account

<table><thead><tr><th width="168.66670735677081">Account Type</th><th>Account</th><th>Description</th></tr></thead><tbody><tr><td>CHECKING</td><td>015****************475</td><td>CBU/CVU: 22 digits<br>Alias: 6~20 characters</td></tr><tr><td>SAVINGS</td><td>015****************475</td><td>CBU/CVU: 22 digits<br>Alias: 6~20 characters</td></tr></tbody></table>

{% hint style="info" %}

* CBU/CVU is the unique identifier of the bank account/virtual account.&#x20;
* Alias is a user-defined nickname that replaces the complex 22-digit CBU/CVU with something easier to remember, such as an email address, phone number, or custom word. One CBU/CVU can only be bound to one Alias.
  {% endhint %}

## Example of Document

| Document Type | Document ID        | Description |
| ------------- | ------------------ | ----------- |
| CUIT          | 27\*\*\*\*\*\*\*00 | 11 digits   |
| DNI           |                    | 8 digits    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payout/submit-a-payout/argentina/banktransfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
